SUMMARY = "Autostart Qt5 demo app"
HOMEPAGE = "http://www.interelectronix.com"
LICENSE = "MIT"

# Base this image on rpi-basic-image -> core-image-base
require recipes-core/images/core-image-base.bb

IMAGE_FEATURES += " package-management"

IMAGE_LINGUAS = "en-us"

COMPATIBLE_MACHINE = "^rpi$"

OMXPLAYER_rpi = "omxplayer"
OMXPLAYER_rpi_aarch64 = ""

IMAGE_INSTALL:append = " \
  packagegroup-core-full-cmdline \
"

# Qt5 base, tools and (most) modules
IMAGE_INSTALL:append += " packagegroup-qt5"

# Qt5 examples
IMAGE_INSTALL:append += " \
    cinematicexperience \
    qt5everywheredemo \
"

# toolbox
IMAGE_INSTALL:append += " \
  nano \
  cpufrequtils \
  strace \
  perf \
  tree \
  htop \
  tcpdump \
  i2c-tools \
  can-utils \
  usbutils \
  spitools \
  iperf3 \
  stress \
  cmake \
  automake \
  autoconf \
  git \
  subversion \
  wget \
  rsync \
  e2fsprogs \
  e2fsprogs-resize2fs \
  tzdata \
  watchdog \
  yavta \
  logrotate \
"

IMAGE_INSTALL:append += " v4l-utils"

# audio stuff
# IMAGE_INSTALL:append += " \
#   alsa-server \
#   alsa-plugins \
#   alsa-tools \
#   alsa-utils \
#   sox \
# "

# video stuff
# IMAGE_INSTALL:append += " \
#   opencv \
#   ffmpeg \
#   packagegroup-gstreamer1.0 \
# "

# web server stuff
# IMAGE_INSTALL:append += " \
#   lighttpd \
#   lighttpd-module-fastcgi \
#   php \
#   php-cgi \
#   php-cli \
# "

# for WiFi client & access point
IMAGE_INSTALL:append += " \
  wpa-supplicant \
  hostapd \
  dnsmasq \
  iptables \
  ntp \
  crda \
  iw \
"

# blueetooth stuff
IMAGE_INSTALL:append += " \
  bluez5 \
  bluez5-noinst-tools \
"

# lttng tracing tools, see http://lttng.org/docs/
IMAGE_INSTALL:append += " \
  lttng-tools \
  lttng-modules \
  lttng-ust \
  babeltrace \
"

# autostart Qt application
IMAGE_INSTALL:append += " \
  qtdemostart \
"

set_date_and_time() {
  ln -sf /usr/share/zoneinfo/CET ${IMAGE_ROOTFS}/etc/localtime
  echo "server 3.pool.ntp.org iburst" >> ${IMAGE_ROOTFS}/etc/ntp.conf
  echo "server 2.pool.ntp.org iburst" >> ${IMAGE_ROOTFS}/etc/ntp.conf
  echo "server 1.pool.ntp.org iburst" >> ${IMAGE_ROOTFS}/etc/ntp.conf
  echo "server 0.pool.ntp.org iburst" >> ${IMAGE_ROOTFS}/etc/ntp.conf
}

ROOTFS_POSTPROCESS_COMMAND += " \
  set_date_and_time ; \
"

# kernel development on the target
# IMAGE_INSTALL_append += " kernel-devsrc"

export IMAGE_BASENAME = "qt5-ix-basic-image"