SUMMARY = "Autostart Qt5 demo app"
HOMEPAGE = "http://www.interelectronix.com"
LICENSE = "MIT"

# Base this image on rpi-basic-image -> core-image-base
require recipes-core/images/core-image-base.bb

inherit image populate_sdk_qt5

IMAGE_FEATURES += "package-management dev-pkgs doc-pkgs"
IMAGE_LINGUAS = "en-us"

CORE_OS = "\
    openssh openssh-keygen openssh-sftp-server \
    packagegroup-core-boot \
    tzdata \
"

KERNEL_EXTRA = "\
    kernel-modules \
"

IMAGE_INSTALL:append += " v4l-utils"

DEV_SDK = " \
    binutils \
    binutils-symlinks \
    coreutils \
    cpp \
    cpp-symlinks \
    diffutils \
    elfutils elfutils-binutils \
    file \
    gcc \
    gcc-symlinks \
    g++ \
    g++-symlinks \
    gdb \
    gettext \
    git \
    ldd \
    libstdc++ \
    libstdc++-dev \
    libtool \
    ltrace \
    make \
    perl-modules \
    pkgconfig \
    python3-modules \
    strace \
"
EXTRA_TOOLS = " \
    bzip2 \
    chrony \   
    curl \
    dosfstools \
    e2fsprogs-mke2fs \
    ethtool \
    fbset \
    findutils \   
    grep \
    i2c-tools \
    ifupdown \
    iperf3 \
    iproute2 \ 
    iptables \
    less \   
    lsof \  
    netcat-openbsd \
    procps \
    sysfsutils \
    tcpdump \
    util-linux \
    util-linux-blkid \
    unzip \
    vim \
    wget \ 
    zip \
    rsync \
"
    
RPI_STUFF = " \
    userland \
"
    
CUSTOM_STUFF = " \
    pigpio \
"
    
SYSTEMD_STUFF = " \
    systemd-analyze \
    systemd-bash-completion \
"
WIFI = "\  
    crda \
    iw \   
    linux-firmware-rpidistro-bcm43455 \
    wpa-supplicant \
"

## Qt

#OMXPLAYER_rpi = "omxplayer"
#OMXPLAYER_rpi_aarch64 = ""

# Qt5 base, tools and (most) modules
IMAGE_INSTALL:append += " packagegroup-qt5 packagegroup-qt5-toolchain-target packagegroup-qt5-qtcreator-debug"

# Qt5 examples
IMAGE_INSTALL:append += " \
    cinematicexperience \
    qt5everywheredemo \
"

# autostart Qt application 
#IMAGE_INSTALL:append += " \
#  qtdemostart \
#"

IMAGE_INSTALL += " \
    ${CORE_OS} \
    ${KERNEL_EXTRA} \
    ${DEV_SDK} \
    ${EXTRA_TOOLS} \
    ${RPI_STUFF} \
    ${SYSTEMD_STUFF} \
    ${WIFI} \
    ${CUSTOM_STUFF} \
"
 
set_local_timezone() {
    ln -sf /usr/share/zoneinfo/EST5EDT ${IMAGE_ROOTFS}/etc/localtime
    echo 'Europe/Berlin' > ${IMAGE_ROOTFS}/etc/timezone
}

ROOTFS_POSTPROCESS_COMMAND += " \
    set_local_timezone ; \
"
    
export IMAGE_BASENAME = "rpi4-64-qt5-gpio-image"
